# getEnemyModifierTypesForWave | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function getEnemyModifierTypesForWave

- getEnemyModifierTypesForWave(
  waveIndex: number,
  count: number,
  party: EnemyPokemon [],
  poolType: WILD | TRAINER ,
  upgradeChance?: number,
  ): PokemonHeldItemModifierType []

  #### Parameters

  - waveIndex: number
  - count: number
  - party: EnemyPokemon []
  - poolType: WILD | TRAINER
  - upgradeChance: number = 0

  #### Returns PokemonHeldItemModifierType []

  - Defined in src/modifier/modifier-type.ts:3505